#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.4
visibility:           public
id:                   persistent-test-2.0.3.4-DFAi3GSYLRdAIf2BLtfEMw
key:                  persistent-test-2.0.3.4-DFAi3GSYLRdAIf2BLtfEMw
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  ab6e27330244e7b003174fc230afa0b5
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.2/site-local/persistent-test-2.0.3.4
library-dirs:         /usr/lib/ghc-8.10.2/site-local/persistent-test-2.0.3.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/persistent-test-2.0.3.4
hs-libraries:         HSpersistent-test-2.0.3.4-DFAi3GSYLRdAIf2BLtfEMw
depends:
    HUnit-1.6.1.0-C6UOqwthC5dDT5XbiO0hXw
    QuickCheck-2.14.2-XGG62Wk6p8Fybwj8Egs99
    aeson-1.5.4.1-4wEKZPgDVdkFlnmRCF3GfK base-4.14.1.0
    blaze-html-0.9.1.2-BcOzzCFq6VdBFxNnDBJ5Sm bytestring-0.10.10.0
    conduit-1.3.4-DEGLGmYWDck4oWz6xRzs1Z containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.4-80ajvT6VUGX1o2FDT56zgg
    hspec-expectations-0.8.2-54aoHK2MwsAInCXhnrX1Rq
    monad-control-1.0.2.3-27B6mpTRmEH9CsV546tlkg
    monad-logger-0.3.36-5kBT4CECnAa1hHMgZraPMo mtl-2.2.2
    path-pieces-0.2.1-3qqfFRSZ4HL4UPuvUVZn5U
    persistent-2.11.0.1-BUI6cA6EADM8vU5PjaHL2l
    persistent-template-2.9.1.0-7FCFZEmdWRA6FsZ83WmRZm
    quickcheck-instances-0.3.25.1-5IXNi6lQf7GEFSeq0hFF9p
    random-1.2.0-7rr3ePEYK6r4gXLPDfNkN2
    resourcet-1.2.4.2-D5qhJ8IunJwIjOclEYOdGC text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-4UUGwAxnko8BoB8voh1uxd
    unliftio-0.2.13.1-1zZDsK5FZrr233hj1rZzNu
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-7jajDWNmlIpBHz95ShzOz6

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

